[Solved] Noob upgrading Transmission

  • I want to upgrade to Transmission 2.8. They finally added the ability to rename folders, a feature I REALLY REALLY want.
    However when I try to install the .deb it says I need libc >= 2.15. I read around that upgrading libc can break my system. Is this true? Is there a way to get TM 2.8 on my system? I already broke my transmission install trying to install 2.8 and I'm not sure how to fix it.
    I am on OMV 4.38. Will upgrading to 5 allow me to use 2.8?
    Thanks

    • Official Post

    You really don't want to upgrade libc. OMV 0.4 and 0.5 the same Debian Squeeze base. OMV 0.6 will use Wheezy which will help a lot (new libc). I made a transmission 2.82 package a long time ago. Not sure if it works because I don't use it. You can get it here.

    omv 7.4.2-2 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.2.0-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Yeah, or you could just use the package ryecoaroon built (forgot about that one), it works since I've tested it :)

  • i tried to install the transmission 2.82 build http://omv-extras.org/testing/

    Code
    dpkg -i transmission_2.82-1_amd64.deb
    (Reading database ... 26956 files and directories currently installed.)
    Preparing to replace transmission 2.82-1 (using transmission_2.82-1_amd64.deb) ...
    Unpacking replacement transmission ...
    Setting up transmission (2.82-1) ...


    but the running transmission client still reports old version 2.73.. did i miss anything ? do i need to apt-get update transmission after installing the *.deb ?


    Code
    transmission-daemon --version
    transmission-daemon 2.82 (14160)
  • check the path?


    do
    $ which transmission-cli
    that deb installs it to /usr/local/bin/transmission-cli


    maybe your old one is in a different location or something



    As for me I just compiled it myself since i needed 32 bit and it works fine, I am a happy chappy.

  • thanks you =)


    i just copied files to usr/bin and its working now :)
    but how can i fix transmission package installation to be correctly installed in usr/local/bin ?



  • maybe your path has /usr/bin before /usr/local/bin? do: $ echo $path


    I just checked my system and it is installed in /usr/local/bin too. not sure why yours would be in /usr/bin

    • Official Post

    It probably was a package build option that didn't get changed.

    omv 7.4.2-2 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.2.0-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!